Trf_CreateCtrlBlock(3)

NAME
Trf_CreateCtrlBlock - Interface to procedure for creation of encoder/decoder control structures.

SYNOPSIS
#include <transform.h>

Trf_ControlBlock Trf_CreateCtrlBlock
(
    ClientData writeClientData,
    Trf_WriteProc *fun,
    Trf_Options optInfo,
    Tcl_Interp *interp,
    ClientData clientData
);

PARAMETERS

ClientData writeClientData
    Arbitrary information given as clientdata to 'fun'.

Trf_WriteProc *fun
    Vector to use for writing generated results.

Trf_Options optInfo
    Options to configure the control.

Tcl_Interp *interp
    Interpreter for error messages.

ClientData clientData
    Arbitrary information, as defined in Trf_TypeDefinition.clientData.

DESCRIPTION
The procedure has to create a control structure for an encoder/decoder. The structure must be initialized with the contents of the the option container. Return value is an opaque handle aof the control structure or NULL in case of failure. An error message should be left in the result area of the specified interpreter then.

SEE ALSO
Trf_Init(3), Trf_SafeInit(3), Trf_IsInitialized(3), Trf_CreateOptions(3), Trf_DeleteOptions(3), Trf_CheckOptions(3), Trf_SetOption(3), Trf_SetObjOption(3), Trf_QueryOptions(3), Trf_SeekQueryOptions(3), Trf_WriteProc(3), Trf_DeleteCtrlBlock(3), Trf_TransformCharacter(3), Trf_TransformBuffer(3), Trf_FlushTransformation(3), Trf_ClearCtrlBlock(3), Trf_QueryMaxRead(3), Trf_Register(3), Trf_ConverterOptions(3), Trf_MDStart(3), Trf_MDUpdate(3), Trf_MDUpdateBuf(3), Trf_MDFinal(3), Trf_MDCheck(3), Trf_RegisterMessageDigest(3), Trf_LoadLibrary(3), Trf_XorBuffer(3), Trf_ShiftRegister(3), Trf_FlipRegisterShort(3), Trf_FlipRegisterLong(3), Trf_InitStubs(3)